/*
 * @(#)src/classes/sov/javax/sound/midi/MidiUnavailableException.java, audio, as1411, 20040217 1.13.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.1
 * (C) Copyright IBM Corp. 1996, 2002. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */


/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 14MERG  101201 prussell  Add IBM module header; 
 *
 * ===========================================================================
 *
 *
 *
 * 
 * 
 */

package javax.sound.midi;		  


/**
 * A <code>MidiUnavailableException</code> is thrown when a requested MIDI 
 * component cannot be opened or created because it is unavailable.  This often
 * occurs when a device is in use by another application.  More generally, it
 * can occur when there is a finite number of a certain kind of resource that can 
 * be used for some purpose, and all of them are already in use (perhaps all by
 * this application).  For an example of the latter case, see the
 * {@link Transmitter#setReceiver(Receiver) setReceiver} method of 
 * <code>Transmitter</code>. 
 *
 * @version 1.9, 02/02/00
 * @author Kara Kytle
 */
public class MidiUnavailableException extends Exception {

	/**
	 * Constructs a <code>MidiUnavailableException</code> that has 
	 * <code>null</code> as its error detail message.
	 */
	public MidiUnavailableException() {

		super();
	}


	/**
	 *  Constructs a <code>MidiUnavailableException</code> with the 
	 * specified detail message.
	 *
	 * @param message the string to display as an error detail message
	 */
	public MidiUnavailableException(String message) {

		super(message);
	}
}
